Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPrinter.PageSize

    java.lang.Object
      java.lang.Enum<QPrinter.PageSize>
          com.trolltech.qt.gui.QPrinter.PageSize

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPrinter.PageSize>

Enclosing class:
  QPrinter

    public static enum QPrinter.PageSize

extends java.lang.Enum<QPrinter.PageSize>
implements QtEnumerator

This enum type specifies what paper size `QPrinter` should use. `QPrinter` does not check that the paper size is available; it just uses this information, together with QPrinter::Orientation and QPrinter::setFullPage(), to determine the printable area.

The defined sizes (with `setFullPage`(true)) are:

Constant | Value | Description
--- | --- | ---
`A0` | `5` | 841 x 1189 mm
`A1` | `6` | 594 x 841 mm
`A2` | `7` | 420 x 594 mm
`A3` | `8` | 297 x 420 mm
`A4` | `0` | 210 x 297 mm, 8.26 x 11.69 inches
`A5` | `9` | 148 x 210 mm
`A6` | `10` | 105 x 148 mm
`A7` | `11` | 74 x 105 mm
`A8` | `12` | 52 x 74 mm
`A9` | `13` | 37 x 52 mm
`B0` | `14` | 1030 x 1456 mm
`B1` | `15` | 728 x 1030 mm
`B10` | `16` | 32 x 45 mm
`B2` | `17` | 515 x 728 mm
`B3` | `18` | 364 x 515 mm
`B4` | `19` | 257 x 364 mm
`B5` | `1` | 182 x 257 mm, 7.17 x 10.13 inches
`B6` | `20` | 128 x 182 mm
`B7` | `21` | 91 x 128 mm
`B8` | `22` | 64 x 91 mm
`B9` | `23` | 45 x 64 mm
`C5E` | `24` | 163 x 229 mm
`Comm10E` | `25` | 105 x 241 mm, U.S. Common 10 Envelope
`DLE` | `26` | 110 x 220 mm
`Executive` | `4` | 7.5 x 10 inches, 191 x 254 mm
`Folio` | `27` | 210 x 330 mm
`Ledger` | `28` | 432 x 279 mm
`Legal` | `3` | 8.5 x 14 inches, 216 x 356 mm
`Letter` | `2` | 8.5 x 11 inches, 216 x 279 mm
`Tabloid` | `29` | 279 x 432 mm
`Custom` | `30` | Unknown size

With `setFullPage`(false) (the default), the metrics will be a bit smaller; how much depends on the printer in use.

Enum Constant Summary
`A0` 841 x 1189 mm
`A1` 594 x 841 mm
`A2` 420 x 594 mm
`A3` 297 x 420 mm
`A4` 210 x 297 mm, 8.26 x 11.69 inches
`A5` 148 x 210 mm
`A6` 105 x 148 mm
`A7` 74 x 105 mm
`A8` 52 x 74 mm
`A9` 37 x 52 mm
`B0` 1030 x 1456 mm
`B1` 728 x 1030 mm
`B10` 32 x 45 mm
`B2` 515 x 728 mm
`B3` 364 x 515 mm
`B4` 257 x 364 mm
`B5` 182 x 257 mm, 7.17 x 10.13 inches
`B6` 128 x 182 mm
`B7` 91 x 128 mm
`B8` 64 x 91 mm
`B9` 45 x 64 mm
`C5E` 163 x 229 mm
`Comm10E` 105 x 241 mm, U.S. Common 10 Envelope
`Custom` Unknown size
`DLE` 110 x 220 mm
`Executive` 7.5 x 10 inches, 191 x 254 mm
`Folio` 210 x 330 mm
`Ledger` 432 x 279 mm
`Legal` 8.5 x 14 inches, 216 x 356 mm
`Letter` 8.5 x 11 inches, 216 x 279 mm
`Tabloid` 279 x 432 mm

Method Summary
`static QPrinter.PageSize` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.PageSize` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPrinter.PageSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### A4

    public static final QPrinter.PageSize A4

  210 x 297 mm, 8.26 x 11.69 inches

### B5

    public static final QPrinter.PageSize B5

  182 x 257 mm, 7.17 x 10.13 inches

### Letter

    public static final QPrinter.PageSize Letter

  8.5 x 11 inches, 216 x 279 mm

### Legal

    public static final QPrinter.PageSize Legal

  8.5 x 14 inches, 216 x 356 mm

### Executive

    public static final QPrinter.PageSize Executive

  7.5 x 10 inches, 191 x 254 mm

### A0

    public static final QPrinter.PageSize A0

  841 x 1189 mm

### A1

    public static final QPrinter.PageSize A1

  594 x 841 mm

### A2

    public static final QPrinter.PageSize A2

  420 x 594 mm

### A3

    public static final QPrinter.PageSize A3

  297 x 420 mm

### A5

    public static final QPrinter.PageSize A5

  148 x 210 mm

### A6

    public static final QPrinter.PageSize A6

  105 x 148 mm

### A7

    public static final QPrinter.PageSize A7

  74 x 105 mm

### A8

    public static final QPrinter.PageSize A8

  52 x 74 mm

### A9

    public static final QPrinter.PageSize A9

  37 x 52 mm

### B0

    public static final QPrinter.PageSize B0

  1030 x 1456 mm

### B1

    public static final QPrinter.PageSize B1

  728 x 1030 mm

### B10

    public static final QPrinter.PageSize B10

  32 x 45 mm

### B2

    public static final QPrinter.PageSize B2

  515 x 728 mm

### B3

    public static final QPrinter.PageSize B3

  364 x 515 mm

### B4

    public static final QPrinter.PageSize B4

  257 x 364 mm

### B6

    public static final QPrinter.PageSize B6

  128 x 182 mm

### B7

    public static final QPrinter.PageSize B7

  91 x 128 mm

### B8

    public static final QPrinter.PageSize B8

  64 x 91 mm

### B9

    public static final QPrinter.PageSize B9

  45 x 64 mm

### C5E

    public static final QPrinter.PageSize C5E

  163 x 229 mm

### Comm10E

    public static final QPrinter.PageSize Comm10E

  105 x 241 mm, U.S. Common 10 Envelope

### DLE

    public static final QPrinter.PageSize DLE

  110 x 220 mm

### Folio

    public static final QPrinter.PageSize Folio

  210 x 330 mm

### Ledger

    public static final QPrinter.PageSize Ledger

  432 x 279 mm

### Tabloid

    public static final QPrinter.PageSize Tabloid

  279 x 432 mm

### Custom

    public static final QPrinter.PageSize Custom

  Unknown size

Method Detail

### values

    public static final QPrinter.PageSize[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPrinter.PageSize c : QPrinter.PageSize.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPrinter.PageSize valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.PageSize resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD